Retrieve data about a user.
curl --request GET \
--url https://virtserver.swaggerhub.com/BangoProducts/payment-provider_api/1.0.1/user/{userIdentifier} \
--header 'Authorization: Bearer <token>' \
--header 'X-RequestIdentifier: <x-requestidentifier>'const options = {
method: 'GET',
headers: {
'X-RequestIdentifier': '<x-requestidentifier>',
Authorization: 'Bearer <token>'
}
};
fetch('https://virtserver.swaggerhub.com/BangoProducts/payment-provider_api/1.0.1/user/{userIdentifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://virtserver.swaggerhub.com/BangoProducts/payment-provider_api/1.0.1/user/{userIdentifier}"
headers = {
"X-RequestIdentifier": "<x-requestidentifier>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"responseCode": "OK",
"responseMessage": "The user was retrieved successfully.",
"user": {
"userIdentifier": "987654321",
"userStatus": "OK",
"userStatusReason": "Active user",
"userDetails": {
"USER_TYPE": "PRE_PAID",
"ACCOUNT_NAME": "Dan",
"EMAIL": "dan@somenetwork.com"
},
"transactionMaxLimit": {
"amount": 123.99,
"currency": "GBP",
"merchantKey": "GOOGLE"
},
"userSpendLimit": {
"amount": 123.99,
"currency": "GBP",
"merchantKey": "GOOGLE",
"type": "MONTHLY",
"resetDate": "18-08-2020"
},
"ExtensionData": {
"some": "ABC-XYZ",
"some1": "123-456-789"
}
}
}Retrieve data about a user.
Resource used to retrieve data about a user.
GET
https://virtserver.swaggerhub.com/BangoProducts/payment-provider_api/1.0.1
/
user
/
{userIdentifier}
Retrieve data about a user.
curl --request GET \
--url https://virtserver.swaggerhub.com/BangoProducts/payment-provider_api/1.0.1/user/{userIdentifier} \
--header 'Authorization: Bearer <token>' \
--header 'X-RequestIdentifier: <x-requestidentifier>'const options = {
method: 'GET',
headers: {
'X-RequestIdentifier': '<x-requestidentifier>',
Authorization: 'Bearer <token>'
}
};
fetch('https://virtserver.swaggerhub.com/BangoProducts/payment-provider_api/1.0.1/user/{userIdentifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://virtserver.swaggerhub.com/BangoProducts/payment-provider_api/1.0.1/user/{userIdentifier}"
headers = {
"X-RequestIdentifier": "<x-requestidentifier>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"responseCode": "OK",
"responseMessage": "The user was retrieved successfully.",
"user": {
"userIdentifier": "987654321",
"userStatus": "OK",
"userStatusReason": "Active user",
"userDetails": {
"USER_TYPE": "PRE_PAID",
"ACCOUNT_NAME": "Dan",
"EMAIL": "dan@somenetwork.com"
},
"transactionMaxLimit": {
"amount": 123.99,
"currency": "GBP",
"merchantKey": "GOOGLE"
},
"userSpendLimit": {
"amount": 123.99,
"currency": "GBP",
"merchantKey": "GOOGLE",
"type": "MONTHLY",
"resetDate": "18-08-2020"
},
"ExtensionData": {
"some": "ABC-XYZ",
"some1": "123-456-789"
}
}
}Authorizations
This API uses OAuth 2 with clientCredentials.
Headers
Request unique identifier. If present, this id will be used for idempotency.

